/* Import plugin specific language pack */
tinyMCE.importPluginLanguagePack('insertaudio', 'en,fr'); // <- Add a comma separated list of all supported languages

// Singleton class
var TinyMCE_insertaudioPlugin = {
	getInfo : function() {
		return {
			longname : 'insertaudio plugin',
			author : 'Gabriel ROUSSEAU',
			authorurl : 'http://grvg.free.fr',
			infourl : 'http://grvg.free.fr',
			version : "0.4"
		};
	},

	getControlHTML : function(cn) {
		switch (cn) {
			case "insertaudio":
				return tinyMCE.getButtonHTML(cn, 'lang_insertaudio_desc', '{$pluginurl}/images/insertaudio.png', 'mceinsertaudio', true);
		}

		return "";
	},

	/**
	 * Executes a specific command, this function handles plugin commands.
	 *
	 * @param {string} editor_id TinyMCE editor instance id that issued the command.
	 * @param {HTMLElement} element Body or root element for the editor instance.
	 * @param {string} command Command name to be executed.
	 * @param {string} user_interface True/false if a user interface should be presented.
	 * @param {mixed} value Custom value argument, can be anything.
	 * @return true/false if the command was executed by this plugin or not.
	 * @type
	 */
	execCommand : function(editor_id, element, command, user_interface, value) {
		// Handle commands		
		switch (command) {
			// Remember to have the "mce" prefix for commands so they don't intersect with built in ones in the browser.
			case "mceinsertaudio":
				// Show UI/Popup
				if (user_interface) {
					// Open a popup window and send in some custom data in a window argument
					var insertaudio = new Array();

					insertaudio['file'] = '../../plugins/insertaudio/audioinput.html'; // Relative to theme
					insertaudio['width'] = 500;
					insertaudio['height'] = 120;

					tinyMCE.openWindow(insertaudio, {editor_id : editor_id, resizable : "no", scrollbars : "no", inline : "yes"});	
			}
				return true;
		}

	   // Pass to next handler in chain
	   return false;
	}
};

tinyMCE.addPlugin("insertaudio", TinyMCE_insertaudioPlugin );
